Create a team (desk:admin)
POST /api/desk/v1/teams
Module: Desk · operationId: createTeam · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
Request body
application/json (required)
key(string, required): Key of the team, unique in the tenantname(string, required): Name of the teamarchived(boolean): Archived: the team is kept for existing data but no longer offered in pickersdescription(string): Description of the teamid(string): Id of the teammembers(array of object): Members of the teamrole(string): member or lead (one ofmember,lead)userRef(string): Login (e-mail) of the member
Example:
{
"Exchange Online und Teams": "",
"description": "Lizenzen",
"key": "m365",
"members": [
{
"role": "lead",
"userRef": "marie.wagner@muster-it.example"
}
],
"name": "Microsoft 365"
}
Responses
- 201 Created (
application/json)
Fields of the 201 answer:
key(string, required): Key of the team, unique in the tenantname(string, required): Name of the teamarchived(boolean): Archived: the team is kept for existing data but no longer offered in pickersdescription(string): Description of the teamid(string): Id of the teammembers(array of object): Members of the teamrole(string): member or lead (one ofmember,lead)userRef(string): Login (e-mail) of the member
Example 201 answer:
{
"archived": false,
"description": "Netzwerk, Server, Firewall und Projekte vor Ort.",
"id": "1d8e9f0a-2b3c-4d4e-9f6a-8b9c0d1e2f02",
"key": "second-level",
"members": [
{
"role": "lead",
"userRef": "jonas.bauer@muster-it.example"
},
{
"role": "member",
"userRef": "lukas.wimmer@muster-it.example"
}
],
"name": "Technik"
}
Example request
curl -X POST 'https://api.mbcom.cloud/api/desk/v1/teams' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"Exchange Online und Teams":"","description":"Lizenzen","key":"m365","members":[{"role":"lead","userRef":"marie.wagner@muster-it.example"}],"name":"Microsoft 365"}'